URL structure
{localeCode} is a supported locale code.
Supported methods and overview
DELETE- deletes a custom internationalisation (i18n) bundle (specified bylocaleCode) which had been uploaded to the Cocoon Data Platform’s Access Service.
This method takes no parameters.
Detailed description
This API endpoint is used to delete a custom i18n bundle (specified by{localCode}) which had been uploaded to the Cocoon Data Platform’s Access Service.
- This endpoint can only be called on locales without existing i18n bundles that are built in to the Cocoon Data Platform.
- Any Cocoon Data users utilising the locale of this custom i18n bundle (which they would have chosen through SafeShare) will automatically be reverted to use the SafeShare administrator’s default locale, when the bundle is deleted.
Supported roles
This API endpoint supports the following Cocoon Data user roles (as described in the SafeShare Administrator’s Guide): The Cocoon Data Platform’s resources available to a Cocoon Data user meeting the criteria above is determined by the access token submitted in the header of requests to this endpoint.Required headers
The appropriate access token as theBearer token:
Authorization: Bearer eyJhbGciOiJSUzI1NiJ9.eyJleHAiOjE0NjcwMTY2NjYsInVzZXJfbmFtZSI6ImFsZXgub...
Returns
If the request succeeded, then an HTTP response status200 OK is returned.
